Bug 245 - SID displayed instead of username in acl listing on Samba server
SID displayed instead of username in acl listing on Samba server
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
All Solaris
: P1 normal
: 3.0.0rc2
Assigned To: Gerald (Jerry) Carter
Depends on:
  Show dependency treegraph
Reported: 2003-07-22 10:28 UTC by gilles.borrelly
Modified: 2005-11-14 09:27 UTC (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description gilles.borrelly 2003-07-22 10:28:41 UTC
When right clicking on a file of a samba share, the name of the user who owns
the file does not appear (i see the SID in place).
group name is printed correctly.

Samba is configured to access a W2k domain in security=ads
the user i can't see is a local unix account.
my w2k and my unix account have the same name.
Comment 1 Gerald (Jerry) Carter 2003-07-24 20:04:57 UTC
I cannot reproduce this.  The SID for the local UNIX user is resolved
correctly.  My tests were on x86 though.  Can you send me a level 10 
debug log of viewing the file using the security tab?  
Mail it to me directly.
Comment 2 Gerald (Jerry) Carter 2003-08-05 16:17:50 UTC
fixed local_lookupsid()
Comment 3 Gerald (Jerry) Carter 2003-08-08 07:41:38 UTC
not fixed apparently
Comment 4 Buchan Milne 2003-08-21 08:17:02 UTC
This bug seems to affect samba3 servers when resolving SIDS for "local" (ie
getpwnam()) users when joined to a domain (including samba3 server as a member
of samba-2.2.x domain with LDAP/NIS user database).

Still valid in 3.0.0rc1.
Comment 5 Gerald (Jerry) Carter 2003-08-21 14:05:12 UTC
Found it!  When we fall back to the rid algorithm code, we 
were not setting the SID_NAME_USE type and so the clients 
were ignoring the reponse.  Patch checked into passdb/passdb.c 
in SAMBA_3_0.
Comment 6 Gerald (Jerry) Carter 2003-09-19 11:49:12 UTC
Is this still an issue with the latest SAMBA_3_0 
code?  Jeremy checked in some changes that dealt 
with another failure condition.
Comment 7 Gerald (Jerry) Carter 2005-02-07 08:41:24 UTC
originally reported against 3.0.0beta3.  CLeaning out 
non-production release versions.
Comment 8 Gerald (Jerry) Carter 2005-08-24 10:23:34 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 9 Gerald (Jerry) Carter 2005-11-14 09:27:32 UTC
database cleanup